PDA

View Full Version : Trouble installing new beta: "Swype already installed"



skeezicks
09-12-2010, 7:53 PM
Hi. I followed the installation instructions, uninstalling both Swype and the Swype Installer. I then downloaded a fresh installer from the link that was emailed to me. Everything goes fine until I press "Done" after Swype has downloaded and installed. I get a message which says "Swype already installed," and Swype won't work properly (it won't allow me to trace words -- I can only tap in letters).

I'm running this on a Droid 1 by Motorola
Verizon is my carrier
I'm running 2.2, Build number FRG22D
I'm rooted, but I haven't flashed anyone elses ROM; this is the one that I received recently in an OTA update.

The version of Swype that doesn't seem to install or run properly is 2.4.44.10912. If I revert back using Backup Pro to my most recent saved version, 1.56.30.7625, it runs fine.

migr9166815
09-13-2010, 5:57 PM
Same problem here. Droid, running CM6. Glad I had a backup of the previous version.

skeezicks
09-13-2010, 6:05 PM
I thought I'd add a little more information to this bug report. Once I've installed this version of Swype (despite the error message about Swype already being installed), I get the message "This installation of Swype is configured for another device."

Admins: please let me know how I can help you further. This simply isn't working for me at all. I'm glad that I can reinstall an older version using Backup Pro (as a rooted superuser), but I hope that installation doesn't expire any time soon.

Best,

jb

skeezicks
09-13-2010, 8:14 PM
I thought I'd add a little more information to this bug report. Once I've installed this version of Swype (despite the error message about Swype already being installed), I get the message "This installation of Swype is configured for another device."

Admins: please let me know how I can help you further. This simply isn't working for me at all. I'm glad that I can reinstall an older version using Backup Pro (as a rooted superuser), but I hope that installation doesn't expire any time soon.

Best,

jb

Hey, all, I found a fix for this problem over here: http://forum.swype.com/showthread.php?832-ERROR-quot-Swype-is-already-installed-quot-even-though-it-s-definitely-not/page3 . Find the post by user Porch Song -- the fix that he stumbled upon fixed my issue, too. Clearly, there's a bug here in the installation process, but hopefully it's straightforward enough for the Swype team to fix.